Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventListener Class Reference

TAO_Notify_EventListener. More...

`#include <Notify_Listeners.h>`

Inheritance diagram for TAO_Notify_EventListener:

[legend]
Collaboration diagram for TAO_Notify_EventListener:

[legend]
List of all members.

## Public Methods
virtual void | dispatch_event (TAO_Notify_Event &event ACE_ENV_ARG_DECL)=0
| Callback methods to supply the event to the listener. More...
virtual CORBA::Boolean | evaluate_filter (TAO_Notify_Event &event, CORBA::Boolean eval_parent ACE_ENV_ARG_DECL)=0
| Evaluates true if this event is acceptable by the listener. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)=0
| Ask the listener to relinquish any bindings and prepare to be disposed. More...
virtual TAO_Notify_Worker_Task * | event_dispatch_task (void)=0
| The Worker task associated with the event listener for event dispatching. More...
virtual TAO_Notify_Worker_Task * | filter_eval_task (void)=0
| The Worker task associated with the event listener for filter evaluation. More...

## Detailed Description

TAO_Notify_EventListener.

All entities interested in receiving events can implement this interface and subscribe with the Event Manager. During subscription, the Listener must specify what kind of events it is interested in.

## Member Function Documentation

virtual void TAO_Notify_EventListener::dispatch_event | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Callback methods to supply the event to the listener. Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual CORBA::Boolean TAO_Notify_EventListener::evaluate_filter | ( | TAO_Notify_Event & | event,
|  | CORBA::Boolean eval_parent | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Evaluates true if this event is acceptable by the listener. The <eval_parent> is a hint to the listener to help it determine if its wise to evaluate the parents filter too. This helps in implementing the "interfilter group operator" logic. Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual TAO_Notify_Worker_Task* TAO_Notify_EventListener::event_dispatch_task | ( | void |  | ) | `[pure virtual]`

| The Worker task associated with the event listener for event dispatching. Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual TAO_Notify_Worker_Task* TAO_Notify_EventListener::filter_eval_task | ( | void |  | ) | `[pure virtual]`

| The Worker task associated with the event listener for filter evaluation. Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual void TAO_Notify_EventListener::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Ask the listener to relinquish any bindings and prepare to be disposed. Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxyPushSupplier_i, TAO_Notify_SequenceProxyPushSupplier_i, and TAO_Notify_StructuredProxyPushSupplier_i.

The documentation for this class was generated from the following file:

- Notify_Listeners.h